clear; close all
T_min = 0;
T = T_min;
%mean_ = 1;
sample_num = 1e5;
% a_ = -0.99:0.05:0.99;
alpha_ = 0:0.002:0.05;
% alpha_ = 1;
a = 0.5;

mu = 0; 
sigma = 1.5; 
mean_tmp = exp(mu+sigma^2/2); 

fname_g = 'g1_exp';
fname_q = 'q1_exp';
mpdc = distinguishable_colors(3);
color_index = 0;
%% optimal policy
color_index = color_index + 1;
age=zeros(1,length(alpha_));
randn('seed',10);
[samples, sample_Normal] = LogNormalMarkovSamples(a,mu, sigma,sample_num+1);
samples = ceil(samples/mean_tmp);
mean_ = mean(samples)
for j = 1:length(alpha_)
    alpha = alpha_(j)
    optimal_policy_general_LogNormal;
    Expectedq = mean(feval(fname_q,samples(1:sample_num),Z,samples(2:sample_num+1),alpha));
    age(j) = Expectedq/(mean(Z)+mean_);
%     age(j) = 1/mean(Z+samples)*1/2*mean((Z+samples).^2)+mean_;
end
plot(alpha_,age,'Color',mpdc(color_index,:));
hold on;
legendInfo{color_index} = ['Optimal policy'];  
savefile = 'data/plot8.mat';
save(savefile, 'alpha_', 'age');

%% Fixed delay
color_index = color_index + 1;
for j = 1:length(alpha_)
    alpha = alpha_(j)
%     randn('seed',10);
%     samples = LogNormalMarkovSamples(a,mu, sigma,sample_num+1)/mean_tmp;
    Z = max(T - mean_,0);
    Expectedq = mean(feval(fname_q,samples(1:sample_num),Z,samples(2:sample_num+1),alpha));
    age(j) = Expectedq/(mean(Z)+mean_);
end
plot(alpha_,age,'Color',mpdc(color_index,:));
hold on;
legendInfo{color_index} = ['Zero wait'];



%%
axis([0 0.05 0 80])
xlabel('\alpha');
ylabel('Average age penalty');
legend(legendInfo);
saveas(figure(1),'figs/figure8_lognormal_differentpenalties_exp.fig');

