clear; close all
T_min = 0;
T = T_min;
%mean_ = 1;
sample_num = 1e5;
mu = 0; 
sigma_ = [0.01 0.1: 0.01: 1.5]; 
a = 0.5;
alpha = 0.05;

fname_g = 'g1_exp';
fname_q = 'q1_exp';
% sigma_ = 1.5;
%mpdc = distinguishable_colors(3);
color_index = 0;
%% optimal policy
color_index = color_index + 1;
age=zeros(1,length(sigma_));
for j = 1: length(sigma_)
    sigma = sigma_(j)
    mean_tmp = exp(mu+sigma^2/2); 
    randn('seed',10);
    [samples, sample_Normal] = LogNormalMarkovSamples(a,mu, sigma,sample_num+1);
    samples = ceil(samples/mean_tmp);
    mean_ = mean(samples);
%     samples = exp(randn(1,sample_num).* sigma + mu)/mean_tmp;
    optimal_policy_general_LogNormal;
    Expectedq = mean(feval(fname_q,samples(1:sample_num),Z,samples(2:sample_num+1),alpha));
    age(j) = Expectedq/(mean(Z)+mean_);
end
plot(sigma_,age)
%,'Color',mpdc(color_index,:));
hold on;
legendInfo{color_index} = ['Optimal policy'];   

%% Fixed delay
color_index = color_index + 1;
age=zeros(1,length(sigma_));
for j = 1: length(sigma_)
    sigma = sigma_(j);
    mean_tmp = exp(mu+sigma^2/2);  
    randn('seed',10);
    [samples, sample_Normal] = LogNormalMarkovSamples(a,mu, sigma,sample_num+1);
    samples = ceil(samples/mean_tmp);
    mean_ = mean(samples);
    Z = max(T - mean_,0);
    Expectedq = mean(feval(fname_q,samples(1:sample_num),Z,samples(2:sample_num+1),alpha));
    age(j) = Expectedq/(mean(Z)+mean_);
end
plot(sigma_,age);
%,'Color',mpdc(color_index,:));
hold on;
legendInfo{color_index} = ['Zero wait'];

% %% Equal_constraint
% color_index = color_index + 1;
% randn('seed',10);
% samples = lognrnd(mu,sigma,1,sample_num)/mean_tmp;
% j = 0;
% age=zeros(1,length(T_min));
% for T = T_min
%     T
%     j = j + 1;    
%     Equal_constraint;
%     age(j) = 1/mean(Z+samples)*1/2*mean((Z+samples).^2)+mean_;
% end
% plot(sigma_,age,'Color',mpdc(color_index,:));
% hold on;
% legendInfo{color_index} = ['Equal constraint'];   

%%
axis([0 1.5 0 80])
xlabel('\sigma');
ylabel('Average age penalty');
legend(legendInfo);
saveas(figure(1),'figs/figure9_lognormal_differentdistributions.fig');