function expected_sum = expected_sum_lognormal(expected_sum_lut, samples, wait_times, parameters)
    [sample_size, samples_Normal, a, mu, sigma, y_shift] = parameters{:};
    mean_tmp = exp(mu+sigma^2/2);
    randn('seed',10);
    sample_normal_next = randn(1,sample_size);
        
    %Monte Carlo Method - generate sample_size samples with distribution
    samples_Y_ = exp(mplus(a*samples_Normal, sqrt(1-a^2)*sample_normal_next).*sigma + mu)/mean_tmp;
    samples_Y_ = round(samples_Y_)+y_shift;

    sum_penalties = zeros(length(samples),sample_size);
    for j = 1:size(samples_Y_, 2)
        first = samples;
        last = first + wait_times';
        row_index = min(first, size(expected_sum_lut, 1));
        col_index = min(last+samples_Y_(:, j), size(expected_sum_lut, 2));
        lin_idx = sub2ind(size(expected_sum_lut), row_index, col_index);
        sum_penalties(:,j) = expected_sum_lut(lin_idx);
    end
    expected_sums = mean(sum_penalties, 2); 
    expected_sum = mean(expected_sums);
    
end

